Retrieve a task
curl --request GET \
--url https://api.infinitecreator.com/v1/tasks/{task_id}import requests
url = "https://api.infinitecreator.com/v1/tasks/{task_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.infinitecreator.com/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01K364FEGEDX32AK5RK447H2KP",
"state": "RUNNING",
"failure_message": "<string>",
"results": [
{
"agent_id": "<string>",
"url": "https://cdn.infinitecreator.com/example.mp4",
"created_at": "2026-06-18T10:48:54.689287+00:00",
"preview_url": "https://cdn.infinitecreator.com/example.gif",
"metadata": {}
}
],
"dropped_assets": [
{
"url": "<string>",
"reason": "quality"
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}Retrieve a task
Retrieves the task with the given ID.
GET
/
v1
/
tasks
/
{task_id}
Retrieve a task
curl --request GET \
--url https://api.infinitecreator.com/v1/tasks/{task_id}import requests
url = "https://api.infinitecreator.com/v1/tasks/{task_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.infinitecreator.com/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "01K364FEGEDX32AK5RK447H2KP",
"state": "RUNNING",
"failure_message": "<string>",
"results": [
{
"agent_id": "<string>",
"url": "https://cdn.infinitecreator.com/example.mp4",
"created_at": "2026-06-18T10:48:54.689287+00:00",
"preview_url": "https://cdn.infinitecreator.com/example.gif",
"metadata": {}
}
],
"dropped_assets": [
{
"url": "<string>",
"reason": "quality"
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"code": "<string>",
"message": "<string>",
"context": {}
}{
"code": "<string>",
"message": "<string>",
"context": {}
}Path Parameters
ID of the Task
Minimum string length:
8Response
Successful Response
Unique identifier for the object.
Example:
"01K364FEGEDX32AK5RK447H2KP"
State of the task
Available options:
PENDING, RUNNING, FAILED, SUCCEEDED Examples:
"RUNNING"
"FAILED"
"SUCCEEDED"
If task state is FAILED, this will contain a brief description of the error
If task state is SUCCEEDED, this will contain the results of the task
Show child attributes
Show child attributes
If some of the input assets did not pass our internal checks, this will contain the assets that were dropped from the video along with a brief description of the error
Show child attributes
Show child attributes
Last modified on June 19, 2026
Was this page helpful?